Package org.spongepowered.asm.mixin.injection.struct

## Interface IChainedDecoration<T>

Type Parameters:
  `T` - the decoration type

All Known Implementing Classes:
  `ArgOffsets`

    public interface IChainedDecoration<T>

An InjectionNode decoration which can chain to a previously registered decoration with the same type and key.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `replace​(T old)` Called when this decoration replaces a previous decoration with the same key

### Method Detail

#### replace

    void replace​(T old)

Called when this decoration replaces a previous decoration with the same key

Parameters:
  `old` - The previous decoration